<?php
// Tags Posts Options.
$wp_customize->add_section(
	'home_page_tags_options',
	array(
		'title' => __( 'Tags Options', 'magfusion' ),
		'panel' => 'header_options_panel',
	)
);

$wp_customize->add_setting(
    'magfusion_options[enable_tags]',
    array(
        'default'           => $magfusion_default['enable_tags'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_tags]',
    array(
		'label'    => __( 'Enable Tags Section', 'magfusion' ),
        'section'     => 'home_page_tags_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'magfusion_options[enable_tags_only_on_frontpage]',
    array(
        'default' => $magfusion_default['enable_tags_only_on_frontpage'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_tags_only_on_frontpage]',
    array(
        'label' => __('Display only on the Homepage', 'magfusion'),
        'section' => 'home_page_tags_options',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting(
    'magfusion_options[enable_tags_label]',
    array(
        'default'           => $magfusion_default['enable_tags_label'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'magfusion_options[enable_tags_label]',
    array(
        'label'           => __( 'Enable Tags Label', 'magfusion' ),
        'section'     => 'home_page_tags_options',
        'type'        => 'checkbox',
    )
);

// Tags Label Style.
$wp_customize->add_setting(
    'magfusion_options[tags_label_style]',
    array(
        'default'           => $magfusion_default['tags_label_style'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[tags_label_style]',
    array(
        'label'           => __( 'Label Style', 'magfusion' ),
        'section'         => 'home_page_tags_options',
        'type'            => 'select',
        'choices'         => array(
            'style_1' => __( 'Plain', 'magfusion' ),
            'style_2' => __( 'With Icon', 'magfusion' ),
        ),
    )
);


// Tags Label Text.
$wp_customize->add_setting(
    'magfusion_options[tags_label_text]',
    array(
        'default'           => $magfusion_default['tags_label_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'magfusion_options[tags_label_text]',
    array(
        'label'           => __( 'Tags Label Text', 'magfusion' ),
        'description'     => __( 'Leave empty if you want it blank', 'magfusion' ),
        'section'         => 'home_page_tags_options',
        'type'            => 'text',
    )
);

// No of posts.
$wp_customize->add_setting(
    'magfusion_options[no_of_tags]',
    array(
        'default'           => $magfusion_default['no_of_tags'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'magfusion_options[no_of_tags]',
    array(
		'label'           => __( 'Number of Tags', 'magfusion' ),
		'section'         => 'home_page_tags_options',
		'type'            => 'number',
    )
);


// Posts Orderby.
$wp_customize->add_setting(
    'magfusion_options[tags_orderby]',
    array(
        'default'           => $magfusion_default['tags_orderby'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[tags_orderby]',
    array(
		'label'           => __( 'Orderby', 'magfusion' ),
		'section'         => 'home_page_tags_options',
		'type'            => 'select',
		'choices'         => array(
			'date'  => __( 'Date', 'magfusion' ),
			'id'    => __( 'ID', 'magfusion' ),
			'title' => __( 'Title', 'magfusion' ),
			'rand'  => __( 'Random', 'magfusion' ),
		),
    )
);


// Posts Order.
$wp_customize->add_setting(
    'magfusion_options[tags_order]',
    array(
        'default'           => $magfusion_default['tags_order'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[tags_order]',
    array(
		'label'           => __( 'Orderby', 'magfusion' ),
		'section'         => 'home_page_tags_options',
		'type'            => 'select',
		'choices'         => array(
			'asc'  => __( 'ASC', 'magfusion' ),
			'desc' => __( 'DESC', 'magfusion' ),
		),
    )
);


$wp_customize->add_setting(
    'magfusion_options[hide_tags_label_responsive]',
    array(
        'default'           => $magfusion_default['hide_tags_label_responsive'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[hide_tags_label_responsive]',
    array(
		'label'           => __( 'Hide Label on Responsive', 'magfusion' ),
        'section'     => 'home_page_tags_options',
        'type'        => 'checkbox',
    )
);